import { ReactNode } from 'react';
import { SlatePlugin } from '../types/SlatePlugin/SlatePlugin';
import { SlatePluginsOptions } from '../types/SlatePluginOptions/SlatePluginsOptions';
import { SPEditor } from '../types/SPEditor';
export interface WithSlatePluginsOptions {
    id?: string;
    plugins?: SlatePlugin[];
    options?: SlatePluginsOptions;
    components?: Record<string, ReactNode>;
}
/**
 * Apply `withInlineVoid` and all slate plugins `withOverrides`.
 * Overrides:
 * - `id`: id of the editor.
 * - `key`: random key for the <Slate> component so each time the editor is created, the component resets.
 * - `options`: {@link SlatePluginsOptions}
 */
export declare const withSlatePlugins: <TOutput = {}>({ id, plugins, options, components, }?: WithSlatePluginsOptions) => <T extends import("slate").BaseEditor>(e: T) => T & SPEditor & TOutput;
/**
 * @see {@link withSlatePlugins}
 */
export declare const useSlatePluginsPlugin: (options?: WithSlatePluginsOptions | undefined) => SlatePlugin;
//# sourceMappingURL=useSlatePluginsPlugin.d.ts.map